Bug 219765 - cl_status commands fail
cl_status commands fail
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: heartbeat (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joost Soeterbroek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE7Target
  Show dependency treegraph
 
Reported: 2006-12-15 04:37 EST by Jeremy Faith
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-21 15:06:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeremy Faith 2006-12-15 04:37:09 EST
Description of problem:
cl_status commands fail as it is NOT installed set groupid


Version-Release number of selected component (if applicable):
heartbeat-2.0.7-3.fc6.i386.rpm


How reproducible:
cl_status listnodes


Steps to Reproduce:
1.install heartbeat rpm
2.configure heartbeat
3.run heartbeat service
4.cl_status listnodes
  
Actual results:
cl_status[6162]: 2006/12/15_08:23:13 ERROR: Cannot start node walk.
cl_status[6162]: 2006/12/15_08:23:13 ERROR: REASON: can't send message to IPC
Channel: Resource temporarily unavailable
cl_status[6162]: 2006/12/15_08:23:13 ERROR: Cannot sign off from heartbeat.
cl_status[6162]: 2006/12/15_08:23:13 ERROR: REASON: can't send message to IPC
Channel: Resource temporarily unavailable
can't send message to IPC: Resource temporarily unavailable


Expected results:
given 2 nodes named cdc0_sec and cdc0_pri the output of cl_status listnodes
should be:-
cdc0_sec
cdc0_pri


Additional info:
cl_status is installed with owner hacluster and group haclient this appears to
be correct. But it needs to be set group id otherwise the above error occurs.
All that is necessary to get cl_status to work is:-
  chmod 2755 /usr/bin/cl_status

I am not sure if any other commands in the heartbeat rpm require to be setgid or
setuid. But heartbeat seems to run ok.
Comment 1 Herbert Straub 2007-01-21 11:47:25 EST
I confirm this sitiuation. After setting 

  chmod 2755 /usr/bin/cl_status

the command works. Version: heartbeat-2.0.7-3.fc6
Comment 2 Joost Soeterbroek 2007-01-21 15:06:52 EST
Fixed in 2.0.8-1

Note You need to log in before you can comment on or make changes to this bug.